<?php

/**
 * @file
 * This file adds Dush Commands to clear Schema Apps Cache.
 */

/**
 * Implements hook_drush_command().
 */
function schemaapp_drush_command() {
  $commands['schemaapp-clear-cache'] = [
    'description' => 'Clear the Schema App cache for stored JSON-LD',
    'aliases' => ['sacc'],
    'examples' => [
      'drush sacc' => 'clear all data',
    ],
  ];

  return $commands;
}

/**
 * Clears the cache in its entirety.
 */
function drush_schemaapp_clear_cache() {
  cache_clear_all(NULL, 'cache_schemaapp');
  drush_print('Schema App Cache cleared');
}
